#!/bin/sh

# This script clones all the different repos

##################
# REPOS ON LIME2 #
##################

cd || exit 1
echo "Currently in $(pwd)"

echo "Setting up VimConf..."
git clone ssh://flyingscorpio@2px.info.tm/~/repos/VimConf.git
echo "Setting up Lessons..."
git clone ssh://flyingscorpio@2px.info.tm/~/repos/Lessons.git
echo "Setting up RootMe..."
git clone ssh://flyingscorpio@2px.info.tm/~/repos/RootMe.git

###################
# REPOS ON GITLAB #
###################

if [ ! -e ~/SRC ]; then
  mkdir ~/SRC
  echo "Created ~/SRC"
fi

cd ~/SRC || exit 1
echo "Currently in $(pwd)"

echo "Setting up e2li/depydoc..."
git clone https://gitlab.com/e2li/depydoc.git

echo "Setting up 2px..."
git clone https://gitlab.com/flyingscorpio/2px.git
cd ~/SRC/2px || exit 1
echo "Currently in $(pwd)"
python3 -m venv env
echo "
# Set own environment variables for Django
DJANGO_USER='flyingscorpio'
export DJANGO_USER
DJANGO_PASSWORD='ribosome66'
export DJANGO_PASSWORD
DJANGO_SECRET_KEY='q+hci0d5y90q)k07f@1k3qzr&w=@89n(0z0ukp)_iu(g9iws0r'
export DJANGO_SECRET_KEY" >> ~/SRC/2px/env/bin/activate

echo "Successfully set up 2px"

cd ~/SRC || exit 1
echo "Currently in $(pwd)"

echo "Setting up BlurMySearches..."
git clone https://gitlab.com/flyingscorpio/BlurMySearches.git
echo "Setting up JsonToPython..."
git clone https://gitlab.com/flyingscorpio/JsonToPython.git

echo "Setting up LVEL-website..."
git clone https://gitlab.com/flyingscorpio/LVEL-website.git
cd ~/SRC/LVEL-website || exit 1
echo "Currently in $(pwd)"
python3 -m venv env
echo "
# Set own environment variables for Django
DJANGO_USER='flyingscorpio'
export DJANGO_USER
DJANGO_PASSWORD='ribosome66'
export DJANGO_PASSWORD
DJANGO_SECRET_KEY='t!d6q&g1*lm-p41m=pd!o&kga9jk)wom)sr7#4-=\$oo*\$)ymtc'
export DJANGO_SECRET_KEY" >> ~/SRC/LVEL-website/env/bin/activate
echo "Successfully set up LVEL-website.git"

cd ~/SRC || exit 1
echo "Currently in $(pwd)"

echo "Setting up MarioSokoban..."
git clone https://gitlab.com/flyingscorpio/MarioSokoban.git
echo "Setting up PythonLocalBlockchain..."
git clone https://gitlab.com/flyingscorpio/PythonLocalBlockchain.git
echo "Setting up Roboc-GUI..."
git clone https://gitlab.com/flyingscorpio/Roboc-GUI.git
echo "Setting up Roboc-console..."
git clone https://gitlab.com/flyingscorpio/Roboc-console
echo "Setting up SudokuSolver..."
git clone https://gitlab.com/flyingscorpio/SudokuSolver.git
echo "Setting up TicTacToe..."
git clone https://gitlab.com/flyingscorpio/TicTacToe.git
echo "Setting up WhitespaceInterpreter..."
git clone https://gitlab.com/flyingscorpio/WhitespaceInterpreter.git
echo "Setting up WikipediaAcronymScraper..."
git clone https://gitlab.com/flyingscorpio/WikipediaAcronymScraper.git
