#!/bin/bash

## This script is used to visually separate commands in the other scripts


RED=$(tput setaf 1)
GREEN=$(tput setaf 2)
ORANGE=$(tput setaf 3)
NC=$(tput sgr0)

export RED
export GREEN
export ORANGE
export NC

if [ $? -eq 0 ]; then
  echo -n "${GREEN}"
else
  echo -n "${RED}"
fi
echo "========================================"
echo "${NC}"
